<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * シリーズ名ドロップ関連
 *
 * @package     Util.Dropseries
 * @author      netnee <mail@example.com>
 * @access      public
 */
class Util_Dropseries
{
    var $series;
    
    var $makercd;
    var $dropid;    // シリーズ名ドロップのID
    var $selid;     // シリーズ名選択済みのID
    
    /**
     * execcute
     *
     * @access  public
     */
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Util_Dropseriesが実行されました", "Util_Dropseries#execute");

        return "success";
    }
    
    
    //文字出力
    function getOutput()
    {
        $series_results = array();
        if (!empty($this->makercd)) 
            $series_results = $this->series->viewSelectFromMakercd($this->makercd);
        
        /**************************
         * 出力フォーマットは以下の通り
         * 
         * ドロップのID
         * optionのname,optionのvalue,option.selected
         * optionのname,optionのvalue,option.selected
         * ...
         * 
         */
        $out = $this->dropid ."\n0,シリーズ名,false";
        foreach ($series_results as $key => $val) {
            $out .= "\n". $val["seriescd"] .",". $val["seriesnm"];
            if ($this->selid == $val["seriescd"]) {
                $out .= ",true";
            } else {
                $out .= ",false";
            }
        }
        return $out;
    }
}
?>
